Bug 476647 - (CVE-2008-5617) CVE-2008-5617 rsyslog: $AllowedSender restriction not honoured
CVE-2008-5617 rsyslog: $AllowedSender restriction not honoured
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-16 08:51 EST by Peter Vrabec
Modified: 2009-01-09 03:39 EST (History)
3 users (show)

See Also:
Fixed In Version: 3.21.9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 03:39:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Vrabec 2008-12-16 08:51:04 EST
Description of problem:
A vulnerability has been found in rsyslog's ACL handling. Due to a coding error in the modularization effort, the $AllowedSender directive is no longer honored but silently accepted. As such, rsyslog-based access control via $AllowedSender is not working and messages from every sender will be accepted by rsyslog. Most importantly, this could lead to misleading log entries or a remote DoS, by a malicious sender simply flooding the system logs with messages until the system runs out of disk space.
Comment 1 Peter Vrabec 2008-12-16 08:51:34 EST
Security Advisory:
http://www.rsyslog.com/Article322.phtml
Comment 2 Fedora Update System 2008-12-17 04:51:21 EST
rsyslog-3.20.2-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/rsyslog-3.20.2-2.fc9
Comment 3 Tomas Hoger 2008-12-17 05:21:36 EST
CVE id CVE-2008-5617 was assigned to this issue:

The ACL handling in rsyslog 3.12.1 to 3.20.0, 4.1.0, and 4.1.1 does
not follow $AllowedSender directive, which allows remote attackers to
bypass intended access restrictions and spoof log messages or create a
large number of spurious messages.

References:
http://www.rsyslog.com/Article322.phtml
http://www.rsyslog.com/Topic4.phtml
Comment 4 Jan Lieskovsky 2008-12-17 05:40:05 EST
This issue did not affect the version of the rsyslog package, as shipped
with Red Hat Enterprise Linux 5.
Comment 5 Fedora Update System 2008-12-21 03:38:15 EST
rsyslog-3.20.2-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2008-12-21 03:44:50 EST
rsyslog-3.21.9-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Red Hat Product Security 2009-01-09 03:39:47 EST
This issue was addressed in:

Fedora:
  https://admin.fedoraproject.org/updates/F10/FEDORA-2008-11476
  https://admin.fedoraproject.org/updates/F9/FEDORA-2008-11538

Note You need to log in before you can comment on or make changes to this bug.